# KIK-V2 / Gedeelde componenten / GitLab / .hugo_book_pages.yml

stages:
- publish

variables:
  GIT_SUBMODULE_STRATEGY: recursive

pages:
  image: registry.gitlab.com/pages/hugo/hugo_extended:latest
  stage: publish
  before_script:
  - |
    echo "baseURL = '$CI_PAGES_URL'" >> config/$CI_JOB_NAME/config.toml
    echo "title = '$CI_PROJECT_TITLE'" >> config/$CI_JOB_NAME/config.toml
  - |
    echo "BookRepo = '$CI_PROJECT_URL'" >> config/$CI_JOB_NAME/params.toml
    echo "BookEditPath = '/-/edit/$CI_COMMIT_BRANCH'" >> config/$CI_JOB_NAME/params.toml
  script:
  - hugo config --environment $CI_JOB_NAME
  - hugo --environment $CI_JOB_NAME
  artifacts:
    paths:
    - public
  only:
  - web
  - tags

  
